Name:           python-enum-compat
Version:        0.0.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python enum-compat
License:        BSD
BuildArch:      noarch
URL:            https://github.com/jstasiak/enum-compat/releases
Source0:        https://github.com/jstasiak/enum-compat/releases/enum-compat-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, the members can be compared by
identity, and the enumeration itself can be iterated over.

This module defines two enumeration classes that can be used to define
unique sets of names and values: Enum and IntEnum. It also defines one
decorator, unique, that ensures only unique member names are present
in an enumeration.


%prep
%setup -q -n enum-compat-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
# remove docs from sitelib, we'll put them in doc dir instead
rm -rf %{buildroot}%{python_sitelib}/enum-compat/{LICENSE,README,doc}


%files
%{python_sitelib}/*


%changelog
* Tue May 23 2017 bb2 <bb2> 0.0.2-1pclos2017
- import package for python-dlna
